{ pkgs ? import <nixpkgs> {} }:

let
    callPackage = pkgs.lib.callPackageWith pkgs;
    gitea-attachements-proxy = callPackage ./package.nix { };
in
pkgs.dockerTools.buildImage {
    name = "garionion/gitea-attachements-proxy";
    tag = "latest";

    contents = [ pkgs.cacert gitea-attachements-proxy ];

    config = {
        Cmd = [ "/bin/gitea-attachements-proxy" ];
        WorkingDir = "/";
    };
}